<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="Content-Language" content="en">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Streaming</title>
    <meta name="viewport"
        content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no, shrink-to-fit=no" />
    <meta name="description" content="This is an example dashboard created using build-in elements and components.">
    <meta name="msapplication-tap-highlight" content="no">

    <style>
        .alert {
            padding: 15px;
            color: white;
            opacity: 1;
            transition: opacity 0.6s;
            margin-bottom: 15px;
            display: none;
            width: 550px;
        }

        .alert.high {
            background-color: #f44336;
        }

        .alert.medium {
            background-color: #ff9800;
        }

        .alert.low {
            background-color: #04AA6D;
        }

        .closebtn {
            margin-left: 15px;
            color: white;
            font-weight: bold;
            float: right;
            font-size: 22px;
            line-height: 20px;
            cursor: pointer;
            transition: 0.3s;
        }

        .closebtn:hover {
            color: black;
        }

       
    </style>
    <link href="{{ url_for('static', filename='css/index_main.css') }}" rel="stylesheet">
</head>

<body>
    <div class="app-container app-theme-white body-tabs-shadow fixed-header">
        <div class="app-header header-shadow">

            <div style="margin-left: 1%;">
                <img width="200px" height="50px"
                    src="{{ url_for('static', filename='images/avatars/arm.png') }}"></img>
            </div>
            <div style="font-size:25px">&emsp;Monitoring System</div>

        </div>
        <div class="app-main">
            <div class="app-main__outer">
                <div class="app-main__inner">

                    <div class="row">
                        <div class="col-md-12 col-lg-6">
                            <div class="mb-3 card">
                                <div class="card-header-tab card-header-tab-animation card-header">
                                    <div class="card-header-title" style="font-size:22px">
                                        <i class="header-icon lnr-apartment icon-gradient bg-love-kiss"> </i>
                                        Live camera streaming<p id="count"></p>
                                    </div>
                                    <ul class="nav" style="font-size:20px">
                                        <li class="nav-item"><a href={{ link_1 }} target="_blank"
                                                class="active nav-link">{{ device_1 }}</a></li>
                                        <!-- <li class="nav-item"><a href={{ link_2 }} target="_blank"
                                                class="nav-link second-tab-toggle">{{ device_2 }}</a></li> -->
                                    </ul>
                                </div>
                                <div class="card-body">
                                    <img src="{{ url_for('video_feed') }}" width="100%">
                                </div>
                            </div>
                            {% if cloud_service == 'aws' %}
                           
                            <div class="main-card mb-3 card">
                                <div class="card-header" style="font-size:22px">Video Management Server
                                </div>
                                <div class="text-center">
                                    <a target="_blank">
                                        <button type="button" id="PopoverCustomT-1"
                                            class="btn btn-primary btn-lg btn-block" title="Cloud Video Management server is not present for AWS" style="font-size:22px"
                                            value="video_link">Cloud video management server</button></a>
                                </div>
                            </div>
                            {% else %}
                            <div class="main-card mb-3 card">
                                <div class="card-header" style="font-size:22px">Video Management Server
                                </div>
                                <div class="text-center">
                                    <a href="{{ url_for('video_server') }}" target="_blank">
                                        <button type="button" id="PopoverCustomT-1"
                                            class="btn btn-primary btn-lg btn-block" style="font-size:22px"
                                            value="video_link">Cloud video management server</button></a>
                                </div>
                            </div>
                            {% endif %}

                        </div>

                        <div class="col-md-12 col-lg-6">
                            <div class="">

                                <div class="col-md-12">
                                    <div class="main-card mb-3 card">
                                        <div class="card-header" style="font-size:22px">Statistics

                                        </div>
                                        <div class="table-responsive">
                                            <table
                                                class="align-middle mb-0 table table-borderless table-striped table-hover">
                                                <thead>
                                                    <tr>
                                                        <th class="text-center" style="font-size:20px">Class ID</th>
                                                        <th style="font-size:20px">Class</th>
                                                        <th class="text-center" style="font-size:20px">No. of Detections
                                                        </th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td class="text-center text-muted" style="font-size:20px">#1
                                                        </td>
                                                        <td>
                                                            <div class="widget-content p-0">
                                                                <div class="widget-content-wrapper">
                                                                    <div class="widget-content-left mr-3">
                                                                        <div class="widget-content-left">
                                                                            <img width="40" class="rounded-circle"
                                                                                src="{{ url_for('static', filename='images/avatars/1.png') }}"
                                                                                alt="">
                                                                        </div>
                                                                    </div>
                                                                    <div class="widget-content-left flex2">
                                                                        <div class="widget-heading"
                                                                            style="font-size:20px">Person</div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="text-center" id="1d" style="font-size:25px"></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-center text-muted" style="font-size:20px">#2
                                                        </td>
                                                        <td>
                                                            <div class="widget-content p-0">
                                                                <div class="widget-content-wrapper">
                                                                    <div class="widget-content-left mr-3">
                                                                        <div class="widget-content-left">
                                                                            <img width="40" class="rounded-circle"
                                                                                src="{{ url_for('static', filename='images/avatars/3.png') }}"
                                                                                alt="">
                                                                        </div>
                                                                    </div>
                                                                    <div class="widget-content-left flex2">
                                                                        <div class="widget-heading"
                                                                            style="font-size:20px">Car</div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="text-center" style="font-size:25px" id="2d"></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-center text-muted" style="font-size:20px">#3
                                                        </td>
                                                        <td>
                                                            <div class="widget-content p-0">
                                                                <div class="widget-content-wrapper">
                                                                    <div class="widget-content-left mr-3">
                                                                        <div class="widget-content-left">
                                                                            <img width="40" class="rounded-circle"
                                                                                src="{{ url_for('static', filename='images/avatars/5.png') }}"
                                                                                alt="">
                                                                        </div>
                                                                    </div>
                                                                    <div class="widget-content-left flex2">
                                                                        <div class="widget-heading"
                                                                            style="font-size:20px">Bus</div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="text-center" style="font-size:25px" id="3d"></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-center text-muted" style="font-size:20px">#4
                                                        </td>
                                                        <td>
                                                            <div class="widget-content p-0">
                                                                <div class="widget-content-wrapper">
                                                                    <div class="widget-content-left mr-3">
                                                                        <div class="widget-content-left">
                                                                            <img width="40" class="rounded-circle"
                                                                                src="{{ url_for('static', filename='images/avatars/4.png') }}"
                                                                                alt="">
                                                                        </div>
                                                                    </div>
                                                                    <div class="widget-content-left flex2">
                                                                        <div class="widget-heading"
                                                                            style="font-size:20px">Truck</div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="text-center" style="font-size:25px" id="4d"></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-center text-muted" style="font-size:20px">#5
                                                        </td>
                                                        <td>
                                                            <div class="widget-content p-0">
                                                                <div class="widget-content-wrapper">
                                                                    <div class="widget-content-left mr-3">
                                                                        <div class="widget-content-left">
                                                                            <img width="40" class="rounded-circle"
                                                                                src="{{ url_for('static', filename='images/avatars/21.png') }}"
                                                                                alt="">
                                                                        </div>
                                                                    </div>
                                                                    <div class="widget-content-left flex2">
                                                                        <div class="widget-heading"
                                                                            style="font-size:20px">Bicycle</div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="text-center" style="font-size:25px" id="5d"></td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <div class="main-card mb-3 card">
                                        <div class="card-header" style="font-size:22px">FPS Stats
                                        </div>
                                        <div class="table-responsive">
                                            <table
                                                class="align-middle mb-0 table table-borderless table-striped table-hover">
                                                <thead>
                                                    <tr>
                                                        <th class="text-center" style="font-size:20px">Number</th>
                                                        <th style="font-size:20px">Type</th>
                                                        <th class="text-center" style="font-size:20px">FPS</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td class="text-center text-muted" style="font-size:20px">#1
                                                        </td>
                                                        <td>
                                                            <div class="widget-content p-0">
                                                                <div class="widget-content-wrapper">
                                                                    <div class="widget-content-left mr-3">
                                                                        <div class="widget-content-left">
                                                                            <img width="40" class="rounded-circle"
                                                                                src="{{ url_for('static', filename='images/avatars/10.png') }}"
                                                                                alt="">
                                                                        </div>
                                                                    </div>
                                                                    <div class="widget-content-left flex2">
                                                                        <div class="widget-heading"
                                                                            style="font-size:20px">End to End Inference
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="text-center" id="rest_fps" style="font-size:25px">
                                                        </td>

                                                    </tr>
                                                    <tr>
                                                        <td class="text-center text-muted" style="font-size:20px">#2
                                                        </td>
                                                        <td>
                                                            <div class="widget-content p-0">
                                                                <div class="widget-content-wrapper">
                                                                    <div class="widget-content-left mr-3">
                                                                        <div class="widget-content-left">
                                                                            <img width="40" class="rounded-circle"
                                                                                src="{{ url_for('static', filename='images/avatars/10.png') }}"
                                                                                alt="">
                                                                        </div>
                                                                    </div>
                                                                    <div class="widget-content-left flex2">
                                                                        <div class="widget-heading"
                                                                            style="font-size:20px">Inference</div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="text-center" id="pure_fps" style="font-size:25px">
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <div class="main-card mb-3 card">
                                        <div class="card-header" style="font-size:22px">Alert
                                        </div>
                                        <div class="alert high col-md-12" id="high" style="font-size:25px">
                                            <span class="closebtn">&times;</span>
                                            <strong>Alert !</strong> High traffic Area
                                        </div>
                                        <div class="alert medium col-md-12" id="medium" style="font-size:25px">
                                            <span class="closebtn">&times;</span>
                                            <strong>Alert!</strong> Medium traffic Area
                                        </div>
                                        <div class="alert low col-md-12" id="low" style="font-size:25px">
                                            <span class="closebtn">&times;</span>
                                            <strong>Alert!</strong> Low traffic Area
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <script src="http://maps.google.com/maps/api/js?sensor=true"></script>
                </div>
            </div>
            <script type="text/javascript" src="{{ url_for('static', filename='scripts/index_main.js') }}"></script>
            <script>
                var target_output_1d = document.getElementById("1d");
                var status_1d = document.getElementById("msg_1")
                var learn_update_1d = new EventSource("/learn_1d");
                learn_update_1d.onmessage = function (e) {
                    target_output_1d.innerHTML = e.data;
                    if (e.data < 5) {
                        status_1d.innerHTML = "Less number of People in the area";
                    } else if (e.data < 10) {
                        status_1d.innerHTML = "Moderate number of People in the area";
                    } else {
                        status_1d.innerHTML = "Large number of People in the area"
                    }
                };

                var target_output_2d = document.getElementById("2d");
                var status_2d = document.getElementById("msg_2")
                var learn_update_2d = new EventSource("/learn_2d");
                learn_update_2d.onmessage = function (e) {
                    target_output_2d.innerHTML = e.data;
                    if (e.data < 5) {
                        status_2d.innerHTML = "Less number of Cars in the area";
                    } else if (e.data < 10) {
                        status_2d.innerHTML = "Moderate number of Cars in the area";
                    } else {
                        status_2d.innerHTML = "More number of Cars in the area"
                    }
                };

                var target_output_3d = document.getElementById("3d");
                var status_3d = document.getElementById("msg_3")
                var learn_update_3d = new EventSource("/learn_3d");
                learn_update_3d.onmessage = function (e) {
                    target_output_3d.innerHTML = e.data;
                    if (e.data < 5) {
                        status_3d.innerHTML = "Less number of Buses in the area";
                    } else if (e.data < 10) {
                        status_3d.innerHTML = "Moderate number of Buses in the area";
                    } else {
                        status_3d.innerHTML = "Large number of Buses in the area"
                    }
                };

                var target_output_4d = document.getElementById("4d");
                var status_4d = document.getElementById("msg_4")
                var learn_update_4d = new EventSource("/learn_4d");
                learn_update_4d.onmessage = function (e) {
                    target_output_4d.innerHTML = e.data;
                    if (e.data < 5) {
                        status_4d.innerHTML = "Less number of Trucks in the area";
                    } else if (e.data < 10) {
                        status_4d.innerHTML = "Moderate number of Trucks in the area";
                    } else {
                        status_4d.innerHTML = "Large number of Trucks in the area"
                    }
                };

                var target_output_5d = document.getElementById("5d");
                var status_5d = document.getElementById("msg_5")
                var learn_update_5d = new EventSource("/learn_5d");
                learn_update_5d.onmessage = function (e) {
                    target_output_5d.innerHTML = e.data;
                    if (e.data < 5) {
                        status_5d.innerHTML = "Less number of Bicycles in the area";
                    } else if (e.data < 10) {
                        status_5d.innerHTML = "Moderate number of Bicycles in the area";
                    } else {
                        status_5d.innerHTML = "Large number of Bicycles in the area"
                    }
                };

                var target_output_rest = document.getElementById("rest_fps");
                var learn_update_rest = new EventSource("/rest_fps");
                learn_update_rest.onmessage = function (e) { target_output_rest.innerHTML = e.data; };

                var target_output_pure = document.getElementById("pure_fps");
                var learn_update_pure = new EventSource("/pure_fps");
                learn_update_pure.onmessage = function (e) { target_output_pure.innerHTML = e.data; };

                var final_count = new EventSource("/total_count");
                final_count.onmessage = function (e) {
                    var close = document.getElementsByClassName("closebtn");
                    var i;
                    if (e.data > 10) {
                        high();
                    } else if (e.data > 5) {
                        medium();
                    } else if (e.data > 0) {
                        low();
                    }

                    for (i = 0; i < close.length; i++) {
                        close[i].onclick = function () {
                            var div = this.parentElement;
                            div.style.opacity = "0";
                            setTimeout(function () { div.style.display = "none"; }, 600);
                        }
                    }

                    function high() {
                        var div = document.getElementById("high")
                        div.style.display = "block";
                        setTimeout(function () { div.style.opacity = "0"; }, 4500);
                        setTimeout(function () { div.style.display = "none"; }, 5000);
                        setTimeout(function () { div.style.opacity = "100"; }, 5000);
                    }
                    function medium() {
                        var div = document.getElementById("medium")
                        div.style.display = "block";
                        setTimeout(function () { div.style.opacity = "0"; }, 4500);
                        setTimeout(function () { div.style.display = "none"; }, 5000);
                        setTimeout(function () { div.style.opacity = "100"; }, 5000);
                    }
                    function low() {
                        var div = document.getElementById("low")
                        div.style.display = "block";
                        setTimeout(function () { div.style.opacity = "0"; }, 4500);
                        setTimeout(function () { div.style.display = "none"; }, 5000);
                        setTimeout(function () { div.style.opacity = "100"; }, 5000);
                    }
                };
            </script>
</body>

</html>
</div>